package com.imtm1.starwarsgame;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.ResultReceiver;
import android.util.DisplayMetrics;
import android.view.View;
import android.widget.Button;


public class GameOver extends Activity {

    Button buttonReco;
    Button buttonLeave;

    @Override
    protected void onCreate( Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.gameover);

        buttonReco = findViewById(R.id.backButton);
        buttonLeave = findViewById(R.id.leaveButton);

        buttonReco.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
                ((ResultReceiver)getIntent().getParcelableExtra("finisher")).send(1, new Bundle()); //ferme l'activité précédente
                startActivity(new Intent(GameOver.this,MainActivity.class)); //commence une nouvelle activité
                finish();
            }
        });

        buttonLeave.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {
                finish();
                System.exit(0);
            }
        });

        DisplayMetrics metrics=new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(metrics);
        int height=metrics.heightPixels;
        int width=metrics.widthPixels;

        getWindow().setLayout((int)(width*0.9),(int)(height*0.3));
    }
}
